---
title: "Bulk update team priorities (drag-to-reorder)"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › AgentTeams

`PUT /api/agent-teams/workspace/{workspaceId}/reorder`

## Request body

- `order` (`put/api/agent-teams/workspace/workspaceId/reorder.order`; array<string>, optional)

## Example request

```json
{
  "order": [
    "string"
  ]
}
```

## Code samples

### cURL

```bash
curl --request PUT \
  --url https://api.channelautomation.com/api/agent-teams/workspace/%7BworkspaceId%7D/reorder \
  --header 'Content-Type: application/json' \
  --data '
{
  "order": [
    "string"
  ]
}
'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/agent-teams/workspace/%7BworkspaceId%7D/reorder';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({order: ['string']})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/agent-teams/workspace/%7BworkspaceId%7D/reorder"

payload = { "order": ["string"] }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```


Source: https://developer.channelautomations.com/api/put-api-agent-teams-workspace-workspace-id-reorder/index.md
